#ifndef FORM_H
#define FORM_H

#include <QtGui/QWidget>
#include <QtGui>
#include <QMainWindow>
#include <QString>
#include <QtSql>
#include <QSqlTableModel>
#include <QTableView>
#include <QSqlDriverPlugin>
#include <QIcon>
#include <QVariant>
#include <QProcess>
#include <QByteArray>

namespace Ui {
    class Form;
}

class Form : public QWidget {
    Q_OBJECT
public:
    Form(QWidget *parent = 0);
    ~Form();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::Form *m_ui;
    QTextDocument *document;
    QTextCursor *cursor;


public:
    QProcess wmiProcess;
    QStringList get_substr_arr(QString stroka, QString razdelitel);
    
private slots:

void on_wmiButton_clicked();
void readStandartProcessOutput();
void readStandartProcessError();

};

#endif // FORM_H
